From ddc72413ece3b8995283fcea994acf0d386ae797 Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Fri, 12 Jun 2020 15:31:17 +0800
Subject: [PATCH 124/124] ath11k: destroy workqueue when module is unloaded

Destroy workqueue when module is unloaded, otherwise memory leaks.

Change-Id: I7f53b3a4289b6982be005ac41561701246a814f6
Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/pci.c | 4 ++++
 1 file changed, 4 insertions(+)
 mode change 100644 => 100755 drivers/net/wireless/ath/ath11k/pci.c

diff --git a/drivers/net/wireless/ath/ath11k/pci.c b/drivers/net/wireless/ath/ath11k/pci.c
old mode 100644
new mode 100755
index 16e3f33..37ce18e
--- a/drivers/net/wireless/ath/ath11k/pci.c
+++ b/drivers/net/wireless/ath/ath11k/pci.c
@@ -1479,6 +1479,10 @@ static void ath11k_pci_remove(struct pci_dev *pdev)
 	cancel_work_sync(&ab->update_11d_work);
 	cancel_work_sync(&ab->rfkill_work);
 	cancel_work_sync(&ab->reset_work);
+	cancel_work_sync(&ab->restart_work);
+	destroy_workqueue(ab->workqueue);
+	destroy_workqueue(ab->workqueue_aux);
+
 	ath11k_core_deinit(ab);
 
 	ath11k_pci_unregister_mhi(ab_pci);
-- 
2.7.4

